> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/88.-mutasyon-zonesmapi-sikistirilmis-shp-olarak-disa-aktar.md).

# 88. Mutasyon: ZonesMap'i sıkıştırılmış SHP olarak dışa aktar

Seçili "ZonesMap"'i shapefile olarak içeren bir zip arşivi oluşturun.

{% hint style="info" %}
Arşiv, EPSG:4326 formatında \*.shp, \*.shx, \*.prj, \*.dbf dosyalarından oluşur.
{% endhint %}

### 1. Hazırlık

* Öznitelik `vectorAnalysisMaps` dışa aktarılacak ZonesMaps (VectorAnalysisMaps) nesnelerinden oluşan bir dizi içerir. Her bir nesne bir çift içerir `fieldUuid` (seçili Tarlaya bağlantı) ve `uuid` (seçili ZonesMap'e bağlantı).
* Boolean (mantıksal) öznitelik `asMultiGeometry` bölgelerin şu şekilde dışa aktarılıp aktarılmayacağını belirler `Poligonlar` veya `MultiPoligonlar` (eğer `true` ).
* Boolean (mantıksal) öznitelik `onlyProductColumns` sadece ürün içeren sütunların (RX) shapefile'a dahil edilip edilmeyeceğini belirtir (eğer `true`). Aksi halde, tüm istatistiksel öznitelikler ve bölge kimlikleri sütunlar olarak dahil edilir.
* Öznitelik `archiveName` oluşturulan zip arşivinin adını tutar.
* Öznitelik `filePostfix` dışa aktarılan dosyalara ve arşive özel son eklerin eklenmesine izin verir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Oluşturulan arşivi indirme

GraphQL sorgusunun yürütülmesinin ardından, bunu şununla indirmek mümkündür `curl` veya benzeri bir yaklaşımla.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/88.-mutasyon-zonesmapi-sikistirilmis-shp-olarak-disa-aktar.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
